<?php
/**
* Polish Language File developed by mybboard.pl for Fast menu 0.2b
* Tłumaczenie: szulcu
* Poprawki: Ekipa Polskiego Supportu MyBB (mybboard.pl)
* Wersja 1.0
**/
/**
 * ACP Fast Drop Down Menus
 *
 * License: GNU GPL v3
 */

// Disallow direct access to this file for security reasons
if(!defined("IN_MYBB"))
{
	die("Direct initialization of this file is not allowed.<br /><br />Please make sure IN_MYBB is defined.");
}

// Yes, I know it isn't professional but it's just for now, future versions will have normal GUI settings in the ACP.
// Just comment or uncomment the next line to choose the right option for you.
define('MENU_TOP','TOP');

function fastmenu_info()
{
	return array(
		"name"			=> "Fast Menu",
		"description"	=> "Dodaje szybkie, rozwijalne menu do panelu ACP",
		"website"		=> "http://www.mybboard.net",
		"author"		=> "dvb",
		"authorsite"	=> "http://community.mybboard.net/user-8242.html",
		"version"		=> "0.2b",
		"guid" 			=> "58beb7fdaebffdc0fdb3bbc9317b9ab3",
		"compatibility" => "14*"
	);
}

$plugins->add_hook("admin_page_output_header", "fastmenu_admin_header");

function fastmenu_admin_header(){
	global $page;
	class DropDown extends PopupMenu{
		function add_item($text, $link, $onclick='', $target=''){
			if($onclick){
				$onclick = " onclick=\"{$onclick}\"";
			}
			if($target){
				$target = " target=\"{$target}\"";
			}
			$this->_items .= "<div class=\"popup_item_container\" style=\"line-height:15px\"><a href=\"{$link}\"{$onclick}{$target} class=\"popup_item\">{$text}</a></div>\n";
		}
		function fetch(){
			$popup = "<div style=\"float:left;white-space:nowrap\"><div class=\"popup_menu\" id=\"{$this->_id}_popup\">\n{$this->_items}</div>\n";
			if($this->_title)
			{
				$popup .= "<a href=\"javascript:;\" id=\"{$this->_id}\" class=\"popup_button\" style=\"line-height:12px;float:left;\">{$this->_title}</a>\n";
			}
			$popup .= "<script type=\"text/javascript\">\n";
			$popup .= "new PopupMenu('{$this->_id}');\n";
			$popup .= "</script>\n</div>\n";
			return $popup;
		}
	}
	if (defined('MENU_TOP')){
		$style = 'position:absolute;right:0;top:0;background:#EFEFEF';
	}else{
		$style = '';
	}
	$page->submenu = '<div class="left_menu_box" style="line-height:26px;'.$style.'"><div class="title" style="line-height:16px">Menu wykonane przez '.
					'<a href="http://community.mybboard.net/user-8242.html" target="_blank">dvb</a>'.$msg.'</div>'.
					fastmenu_generate_dd().fastmenu_quick_links().$page->submenu.'<div style="clear:both"></div></div>';
}

function fastmenu_generate_dd(){
	global $page;
	$menu = $page->_menu;
	$result='';
	ksort($menu);
	foreach($menu as $module){
		$dd = new DropDown('dd_'.$module[0]['id'],$module[0]['title']);
		foreach($module[0]['submenu'] as $action){
			$dd->add_item($action['title'],$action['link']);
		}
		$result.=$dd->fetch();
		unset($dd);
	}
	return $result;
}

function fastmenu_quick_links(){
	$links = array(
	// Tutaj możesz stworzyć swoje linki!
	// Możesz dodać ich tak wiele, jak tylko chcesz według poniższego schematu:
	//   	title => tekst do pokazania w menu
	//   	link => link do elementu (linki do elementów panelu administratora mogą zaczynać się od 'index.php?...')
	//   	blank => ten element jest opcjonalny. Jeżeli chcesz, aby odnośnik otwierał się w nowym oknie dodaj tę wartość.
		array('title'=>'Polski support MyBB','link'=>'http://www.mybboard.pl/','blank'=>1),
		array('title'=>'Oficjalny support','link'=>'http://community.mybboard.net/','blank'=>1),
		array('title'=>'Znajdź użytkownika...','link'=>'index.php?module=user/users&action=search'),
		array('title'=>'Kopia zapasowa','link'=>'index.php?module=tools/backupdb&action=backup'),
		array('title'=>'Gmail','link'=>'http://www.gmail.com/','blank'=>1),
	);
	$dd = new DropDown('dd_quick','Inne');
	foreach($links as $link){
		$link['target'] = ($link['blank'] ? '_blank':'');
		$dd->add_item($link['title'],$link['link'],'',$link['target']);
	}
	$result = $dd->fetch();
	// Możesz dodać własne menu usuń komentarz z poniższych linii i obserwuj to, co się stanie.
	/*
	unset($links);
	unset($dd);
	$links = array(
		array('title'=>'Nowe ogłoszenie','link'=>'index.php?module=forum/announcements&action=add'),
		array('title'=>'Nowy dział','link'=>'index.php?module=forum/management&action=add'),
		array('title'=>'Nowy użytkownik','link'=>'index.php?module=user/users&action=add'),
		array('title'=>'Nowe zadanie','link'=>'index.php?module=tools/tasks&action=add'),
		array('title'=>'Nowe pole profilu','link'=>'index.php?module=config/profile_fields&action=add'),
		array('title'=>'Nowa emotikona','link'=>'index.php?module=config/smilies&action=add'),
		array('title'=>'Nowy kod MyCode','link'=>'index.php?module=config/mycode&action=add'),
		array('title'=>'Nowa ikona postu','link'=>'index.php?module=config/post_icons&action=add'),
		array('title'=>'Nowy dokument pomocy','link'=>'index.php?module=config/help_documents&action=add&type=document'),
		array('title'=>'Nowa kopia zapasowa','link'=>'index.php?module=tools/backupdb&action=backup'),
	);
	$dd = new DropDown('dd_quick2','Nowe elementy');
	foreach($links as $link){
		$link['target'] = ($link['blank'] ? '_blank':'');
		$dd->add_item($link['title'],$link['link'],'',$link['target']);
	}
	$result .= $dd->fetch();	
	//*/
	return $result;
}
?>